/************************************************************************
 *                                                                      *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 ************************************************************************/

#ifndef H_BYTER_UNEEK
#define H_BYTER_UNEEK

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>

/* defines */
#define MAX_CRAK 255
#define REP_VERSION "0.3b"

/* structs */

typedef struct offset_str 
{
    unsigned int offset;
    unsigned int byte;
    struct offset_str *next;
} offset;
    

/* Function Prototypes */


/* file_fun.c */
size_t file_size (int);
unsigned char* memorize_file (int);
int check_files(int, int);
struct offset_str * diff_files(int, int);
void free_offsets(struct offset_str *);
int *create_offset_array(struct offset_str *);
char *create_byte_array(struct offset_str *);
int list_length(struct offset_str *);

/* main.c */
int main(int, char**);
int fatal (const char *);
int usage (const char *);
int make_patch(struct offset_str *, int);
int write_patch_head(int);
void write_patch_foot(int);


#endif /* H_BYTER_UNEEK */
